List Coupons
curl --request GET \
--url https://api.hit-pay.com/v1/coupons \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/coupons"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hit-pay.com/v1/coupons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-BUSINESS-API-KEY: <x-business-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hit-pay.com/v1/coupons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-BUSINESS-API-KEY", "<x-business-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hit-pay.com/v1/coupons")
.header("X-BUSINESS-API-KEY", "<x-business-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hit-pay.com/v1/coupons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-BUSINESS-API-KEY"] = '<x-business-api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "a304f0fd-4ebb-4a8f-bc90-c7341f90080c",
"business_id": "98567029-f559-49f9-916b-042a4255b32a",
"name": "Year End Sale",
"code": "YEAREND10",
"fixed_amount": 500,
"percentage": 0,
"coupons_left": 100,
"is_promo_banner": false,
"banner_text": null,
"created_at": "2026-10-19T13:23:03.000000Z",
"updated_at": "2026-10-19T13:23:03.000000Z",
"starts_at": "2026-10-31T16:00:00.000000Z",
"ends_at": "2026-12-30T16:00:00.000000Z",
"coupon_type": 2,
"minimum_cart_amount": 2000,
"deleted_at": null
}
],
"links": {
"first": "https://api.sandbox.hit-pay.com/v1/coupons?page=1",
"last": "https://api.sandbox.hit-pay.com/v1/coupons?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.sandbox.hit-pay.com/v1/coupons",
"per_page": 10,
"to": 1,
"total": 1
}
}Coupons
List Coupons
List coupons with name search and page-number pagination
GET
/
v1
/
coupons
List Coupons
curl --request GET \
--url https://api.hit-pay.com/v1/coupons \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/coupons"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hit-pay.com/v1/coupons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-BUSINESS-API-KEY: <x-business-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hit-pay.com/v1/coupons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-BUSINESS-API-KEY", "<x-business-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hit-pay.com/v1/coupons")
.header("X-BUSINESS-API-KEY", "<x-business-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hit-pay.com/v1/coupons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-BUSINESS-API-KEY"] = '<x-business-api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "a304f0fd-4ebb-4a8f-bc90-c7341f90080c",
"business_id": "98567029-f559-49f9-916b-042a4255b32a",
"name": "Year End Sale",
"code": "YEAREND10",
"fixed_amount": 500,
"percentage": 0,
"coupons_left": 100,
"is_promo_banner": false,
"banner_text": null,
"created_at": "2026-10-19T13:23:03.000000Z",
"updated_at": "2026-10-19T13:23:03.000000Z",
"starts_at": "2026-10-31T16:00:00.000000Z",
"ends_at": "2026-12-30T16:00:00.000000Z",
"coupon_type": 2,
"minimum_cart_amount": 2000,
"deleted_at": null
}
],
"links": {
"first": "https://api.sandbox.hit-pay.com/v1/coupons?page=1",
"last": "https://api.sandbox.hit-pay.com/v1/coupons?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.sandbox.hit-pay.com/v1/coupons",
"per_page": 10,
"to": 1,
"total": 1
}
}Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Query Parameters
Filter by coupon name (partial match).
Coupons per page, from 1 to 100. Values outside that range are clamped.
Required range:
1 <= x <= 100Page number.
Required range:
x >= 1Last modified on November 3, 2026
Was this page helpful?
⌘I